## rocrand 6.4.1

=== debian/changelog ===
rocrand (6.4.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.1
    - Drop patches included upstream
    - Drop obsolete patches
  * Drop hipRAND from source, it's an independent source package now
  * Add Extend-docs-conf.py-for-offline-build.patch
  * Add Hide-internal-symbols.patch
  * Update symbols file
  * Add build dependencies needed for new doc build process
  * Build documentation with python3-rocm-docs
  * Switch test runner over to universal location
  * Update d/clean
  * Update d/copyright
  * Add Built-Using field to librocrand-doc
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Update d/gbp.conf to reflect Team use
  * Update GitHub URL
  * Simplify test install pattern

 -- Christian Kastner <ckk@debian.org>  Thu, 26 Jun 2025 14:06:43 +0200

rocrand (5.7.1-6) unstable; urgency=medium

  * autopkgtest: Switch test runner over to official rocm-test-launcher
    rocm-test-launcher is now provided by pkg-rocm-tools.

 -- Christian Kastner <ckk@debian.org>  Tue, 25 Feb 2025 09:57:48 +0100

rocrand (5.7.1-5) unstable; urgency=medium

  * autopkgtest: Convert to the use of rocm-testhelper
    rocm-testhelper is embedded for evaluation purposes; it will be made
    available separately soon.
  * autopkgtest: Save GTest results as artifact

 -- Christian Kastner <ckk@debian.org>  Wed, 16 Oct 2024 19:15:47 +0200
